#ifndef _GSPROGMAN_H_
#define _GSPROGMAN_H_
#include <windows.h>

#include "gsPlatform.h"

class gsProgramManager
{
	private:
  	gsPlatform *platform;
    DWORD				instance;
    bool				connected;
  protected:
  public:
  	// constructor
  	gsProgramManager();

    // connect/disconnect activity
    bool connect();
    bool disconnect();

    bool addProgramGroup(const char *name);
    bool removeProgramGroup(const char *name);
    bool addIcon(	const char *groupName, const char *iconName, const char *iconDestination,
    							const char *description);
    bool removeIcon(	const char *groupName, const char *iconName);
};
#endif